docusign.groups.put-groups ​
Updates the group name and modifies, or sets, the permission profile for the group. ### Related topics - How-To Set Up a Permission Profile
Updates the group information for a group.
Overview ​
| Property | Value |
|---|---|
| Workflow type | Atomic |
| Library | App-docusign |
| Version | 1.0 |
Input Schema ​
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Docusign API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
accountid | string | Yes | — | The external account number (int) or account ID GUID. |
endposition | string | No | — | The last index position in the result set. |
groups | list | No | — | A collection group objects containing information about the groups. |
nexturi | string | No | — | The URI for the next chunk of records based on the search request. It is null if this is the last set of results for the search. |
previousuri | string | No | — | The URI for the prior chunk of records based on the search request. It is null if this is the first set of results for the search. |
resultsetsize | string | No | — | The number of results in this response. Because you can filter which entries are included in the response, this value is always less than or equal to the totalSetSize. |
startposition | string | No | — | The starting index position of the current result set. |
totalsetsize | string | No | — | The total number of items in the result set. This value is always greater than or equal to the value of resultSetSize. |
Output Schema ​
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Docusign API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
accountid | string | Yes | — | The external account number (int) or account ID GUID. |
endposition | string | No | — | The last index position in the result set. |
groups | list | No | — | A collection group objects containing information about the groups. |
nexturi | string | No | — | The URI for the next chunk of records based on the search request. It is null if this is the last set of results for the search. |
previousuri | string | No | — | The URI for the prior chunk of records based on the search request. It is null if this is the first set of results for the search. |
resultsetsize | string | No | — | The number of results in this response. Because you can filter which entries are included in the response, this value is always less than or equal to the totalSetSize. |
startposition | string | No | — | The starting index position of the current result set. |
totalsetsize | string | No | — | The total number of items in the result set. This value is always greater than or equal to the value of resultSetSize. |
status_code | integer | No | — | HTTP status code of the completed call |
response | json | No | — | Parsed JSON response body |
failure_reason | string | No | — | — |
failure_type | string | No | — | — |
failed_at | string | No | — | — |
failed_step | string | No | — | — |
failed_layer | string | No | — | — |
failed_at_state | string | No | — | — |
error | string | No | — | — |
error_type | string | No | — | — |
States ​
| State | Initial | Terminal | Success | Auto-advance | Description |
|---|---|---|---|---|---|
pending | Yes | No | — | execute | Waiting to call PUT /v2.1/accounts/{accountId}/groups |
completed | No | Yes | Yes | — | HTTP call succeeded |
failed | No | Yes | No | — | HTTP call failed |
State Diagram ​
Transitions ​
| From | Action | To | Description |
|---|---|---|---|
pending | execute | completed | Perform PUT /v2.1/accounts/{accountId}/groups |
* (any state) | fail | failed | Record the failure reason |
API Usage ​
bash
POST /api/workflows/start
Content-Type: application/json
{
"workflow_type": "docusign.groups.put-groups",
"initial_data": {
"base_url": "value",
"accountid": "value"
}
}